Bug 1776599 - Can't parse line break in the secret that conduce imagestreams import failed
Summary: Can't parse line break in the secret that conduce imagestreams import failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ImageStreams
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.4.0
Assignee: Oleg Bulatov
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-26 04:40 UTC by XiuJuan Wang
Modified: 2020-05-04 11:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: to detect if base64 is padded or unpadded the decoder was relying on the string length Consequence: the decoder was not able to handle pull secrets that contain whitespaces Fix: check if the string has trailing padding symbols instead Result: pull secrets with whitespaces can be used to pull images
Clone Of:
Environment:
Last Closed: 2020-05-04 11:17:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:17:36 UTC

Comment 4 Oleg Bulatov 2019-11-27 16:50:05 UTC
Fix for upstream: https://github.com/kubernetes/kubernetes/pull/85687

Comment 5 Adam Kaplan 2019-12-02 18:39:05 UTC
Marking this as a 4.4 bugfix - Oleg's PR merged upstream, with cherrypick to 1.17.

Comment 6 XiuJuan Wang 2020-01-06 07:03:47 UTC
This bug is found with invalid secret, mark it to low.

Comment 8 XiuJuan Wang 2020-01-09 09:38:58 UTC
Test with 4.4.0-0.nightly-2020-01-08-194939
Could parse secret with line break, and related imagestreams import successfully.

Comment 10 errata-xmlrpc 2020-05-04 11:17:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.